<script lang="ts">
    export let group
    export let value
    export let disabled = false
</script>

<label>
    <input type="radio" bind:group {value} {disabled}>
    <span><slot/></span>
</label>

<style>
    label > input[type="radio"] {
        opacity: 0;
        width: 0;
        height: 0;
    }

    label > input[type="radio"] + *::before {
        content: "";
        display: inline-block;
        vertical-align: bottom;
        width: 1.4em;
        height: 1.4em;
        margin-right: 8px;
        border-radius: 50%;
        border-style: solid;
        border-width: 2px;
        border-color: #535353;
        transform: translateY(-0.2em);
        background-color: white;
    }

    label > input[type="radio"]:disabled + *::before {
        border-color: #b4b4b4;
    }

    label > input[type="radio"]:checked + *::before {
        background: radial-gradient(#01689b 0%, #01689b 36%, white 40%, white);
    }

    label > input[type="radio"]:checked:disabled + *::before {
        background: radial-gradient(#b4b4b4 0%, #b4b4b4 36%, white 40%, white);
    }

    input[type="radio"]:focus + *::before {
        outline: 1px dashed black;
        outline-offset: 2px;
    }

    input[type="radio"]:focus:not(:focus-visible) + *::before {
        outline: none;
    }
</style>